Anonymous Login
2018-12-16 11:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001550OpenClonkScenariospublic2016-01-23 13:55
ReporterSven2 
Assigned ToMaikel 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformVisual C++ 2008OSWindowsOS Version 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001550: Parkour scenario: SkyRace
DescriptionSuggested by Happy Striker, it would be nice to have SkyRace.

Some ideas:
* Relatively small islands and bigger distances (to make it different from our other parkours such as Bristle Ridge)
* On the islands: Catapults, cannons (pre-filled to shoot enemies), consumable weapons
* No grapple bow. Not having the grappler should make general movement much more interesting (and, again, to make it different from our other parkours)
* Item spawners: Floating object spawner you can just jump through to get the item. Useful for infinite loam at the start and also for fair distribution of strong items such as the Wind bag (every player can get one item per spawner, but get it back if they lost it / died). If they dropped the item and try to get it again, it could be moved into the clonk unless someone else collected it. To prevent duplication of e.g. wind bags.
* The map need not be that large, but checkpoints could go back and forth through the map so players criss-cross the landscape and meet more often.
* Later check points could be in solid granite to create meeting points and to allow players to catch up.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004818

Sven2 (developer)

Last edited: 2016-01-19 03:09

View 3 revisions

The scenario is really cool right now!

A few more suggestions:
1. Wall kits are a bit too strong, but they're fun and should not be removed. So maybe reduce their stack count to two.
2. I think there's too much dynamite. Maybe some more of the dynamite spawns could rather be loam and also some regular firestones [Edit: OK I realize dynamite is nice for jumping. But I think there's still a bit too many of them]
3. Wind bag would obviously be very strong here and stop players from using other items. But it's also a very fun item. So what about placing an inventor's lab (no power required) where people can build the wind bag? The required materials could be found in the landscape and in chests.

It would be an investment of time to build a wind bag and of course you always risk losing it with all the cannons and other weapons around.

~0004820

Maikel (developer)

I already removed the wallkits from the spawnpoints and added them to some chests instead, in that case I think 4 walls per kit is okay. They only have three uses: platforms (also helps others), block a cp, trap a player.

Firestones as a spawn are a bit useless and I find loam quite boring. Maybe just add some more random spawns with loam and firestone. Dynamite is really the only reliable flint jump you can actually train a bit.

The island with a lab for the windbag sound very cool! However, I need a way to prevent production steals (i.e. one player producing it and another taking it from the lab). Any ideas for that?

~0004821

Maikel (developer)

Also currently you loose all items when dying, and get a shovel plus loam on respawn. Is that good? I could add a firestone so that you can't be trapped in a checkpoint. Thoughts?

~0004854

Maikel (developer)

Most of the suggestions implemented and it is in the repos now. Further improvements can be made outside this report.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-09 18:12 Sven2 New Issue
2016-01-11 18:36 Maikel Assigned To => Maikel
2016-01-11 18:36 Maikel Status new => assigned
2016-01-19 03:01 Sven2 Note Added: 0004818
2016-01-19 03:01 Sven2 Note Edited: 0004818 View Revisions
2016-01-19 03:09 Sven2 Note Edited: 0004818 View Revisions
2016-01-19 09:17 Maikel Note Added: 0004820
2016-01-19 09:18 Maikel Note Added: 0004821
2016-01-23 13:55 Maikel Note Added: 0004854
2016-01-23 13:55 Maikel Status assigned => resolved
2016-01-23 13:55 Maikel Fixed in Version => 8.0
2016-01-23 13:55 Maikel Resolution open => fixed
+Issue History